#!/usr/bin/env python
import gtk
import gnomevfs
import os

class DieuAboutDialog:
    def __init__(self):
        self.dialog = gtk.AboutDialog()
        self.dialog.set_name('dieu')
        self.dialog.set_version('0.5.5')
        self.dialog.set_website('http://code.google.com/p/dieu/')
        self.dialog.set_website_label('http://code.google.com/p/dieu/')
        self.license = gnomevfs.Handle('file:///usr/doc/dieu/COPYING')
        self.dialog.set_license(self.license.read(1000))
        self.dialog.set_authors(['Ethan Osten', 'Will Farrington', 'Nathan Weizenbaum'])
        self.dialog.set_comments('Social bookmarking tool for GNOME')
        self.dialog.set_logo(gtk.gdk.pixbuf_new_from_file('/usr/share/pixmaps/dieu/dieu.svg'))
        self.dialog.connect('response', lambda d, r: d.destroy())
        self.dialog.set_icon(gtk.gdk.pixbuf_new_from_file('/usr/share/pixmaps/dieu/dieu.svg'))
        self.dialog.show()
